jQuery(function($) {

  /* -----------------------------------------
  Preloader
  ----------------------------------------- */
  $('#preloader').delay(1000).fadeOut();
  $('#loader').delay(1000).fadeOut("slow");

  /* -----------------------------------------
  Navigation
  ----------------------------------------- */
  $('.menu-toggle').click(function() {
      $(this).toggleClass('open');
  });

  /* -----------------------------------------
  Keyboard Navigation
  ----------------------------------------- */
  $(window).on('load resize', jeweler_shop_navigation)

  function jeweler_shop_navigation(event) {
      if ($(window).width() < 1200) {
          $('.main-navigation').find("li").last().bind('keydown', function(e) {
              if (e.shiftKey && e.which === 9) {
                  if ($(this).hasClass('focus')) {
                  }

              } else if (e.which === 9) {
                  e.preventDefault();
                  $('#masthead').find('.menu-toggle').focus();
              }                
          })
      } else {
          $('.main-navigation').find("li").unbind('keydown')
      }
  }

  jeweler_shop_navigation()

  var jeweler_shop_primary_menu_toggle = $('#masthead .menu-toggle');
  jeweler_shop_primary_menu_toggle.on('keydown', function(e) {
      var tabKey = e.keyCode === 9;
      var shiftKey = e.shiftKey;

      if (jeweler_shop_primary_menu_toggle.hasClass('open')) {
          if (shiftKey && tabKey) {
              e.preventDefault();
              const $the_last_li = $('.main-navigation').find("li").last()
              $the_last_li.find('a').focus()
              if (!$the_last_li.hasClass('focus')) {

                  const $is_parent_on_top = true
                  let $the_parent_ul = $the_last_li.closest('ul.sub-menu')

                  let count = 0

                  while (!!$the_parent_ul.length) {
                      ++count

                      const $the_parent_li = $the_parent_ul.closest('li')

                      if (!!$the_parent_li.length) {
                          $the_parent_li.addClass('focus')
                          $the_parent_ul = $the_parent_li.closest('ul.sub-menu')

                          // Blur the cross
                          $(this).blur()
                          $the_last_li.addClass('focus')
                      }

                      if (!$the_parent_ul.length) {
                          break;
                      }
                  }

              }

          };
      }
  })

  /* -----------------------------------------
  Main Slider
  ----------------------------------------- */

  // Determine if the document is RTL
  var isRtl = $('html').attr('dir') === 'rtl';

  /* -----------------------------------------
  Slider Section
  ----------------------------------------- */

  jQuery(document).ready(function($){
    var $jeweler_shop_carousel = $(".slider-section .owl-carousel");
  
    $jeweler_shop_carousel.owlCarousel({
      items: 1,
      loop: true,
      autoplay: true,
      autoplayTimeout: 5000,
      nav: false,
      dots: true  
    });
  
    // Add numbers inside dots
    $jeweler_shop_carousel.find('.owl-dot').each(function(index){
      $(this).html('<span>'+(index+1)+'</span>');
    });
  
    function jeweler_shop_updateDots() {
      $jeweler_shop_carousel.find('.owl-dot').removeClass('show-arrow');
      $jeweler_shop_carousel.find('.owl-dot.active').not(':last-child').addClass('show-arrow');
    }
  
    // Run on init + slide change
    jeweler_shop_updateDots();
    $jeweler_shop_carousel.on('changed.owl.carousel', jeweler_shop_updateDots);
  });

  /* -----------------------------------------
  Product Section
  ----------------------------------------- */

  jQuery(document).ready(function($) {
      jQuery('.product-box .owl-carousel').owlCarousel({
        loop: true,
        margin: 20,
        nav: false,
        rtl: false,
        items: 1,
        autoplay: true,
        responsive: {
          0: {
          items: 1,
          margin: 10,
          stagePadding: 10,
            },
            576: {
              items: 1,
              dots: true
            },
            600: {
              margin: 30,
              items: 2,
              dots: true
            },
            1000: {
              items: 3,
              dots: false
            },
            1200: {
              items: 4,
              dots: false
            }
        },
      });
  });

  /* -----------------------------------------
  Scroll Top
  ----------------------------------------- */
  var jeweler_shop_scrollToTopBtn = $('.jeweler-shop-scroll-to-top');

  $(window).scroll(function() {
      if ($(window).scrollTop() > 400) {
          jeweler_shop_scrollToTopBtn.addClass('show');
      } else {
          jeweler_shop_scrollToTopBtn.removeClass('show');
      }
  });

  jeweler_shop_scrollToTopBtn.on('click', function(e) {
      e.preventDefault();
      $('html, body').animate({
          scrollTop: 0
      }, '300');
  });

  //search js

  $(".input").focus(function() {
      $(".form").addClass("move");
  });
  $(".input").focusout(function() {
      $(".form").removeClass("move");
      $(".input").val("");
  });

  $(".search-main .btn").click(function() {
      $(".input").toggleClass("active");
      $(".form").toggleClass("active");
  });  
    
});

document.addEventListener('DOMContentLoaded', function() {
  const header = document.querySelector('.sticky-header');
  if (header) { // Check if header exists
    window.addEventListener('scroll', function() {
      if (window.scrollY > 0) {
        header.classList.add('is-sticky');
      } else {
        header.classList.remove('is-sticky');
      }
    });
  }
});

/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const jeweler_shop_progressBar =
        document.getElementById("jeweler_shop_aster_progress_bar");
    if (!jeweler_shop_progressBar) return;
    window.addEventListener("scroll", function () {
        const jeweler_shop_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const jeweler_shop_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const jeweler_shop_scrolled =
            (jeweler_shop_scrollTop / jeweler_shop_height) * 100;
        jeweler_shop_progressBar.style.width =
            jeweler_shop_scrolled + "%";
    });
});
